> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 3d48ad6e-c737-49a0-8663-ba5d70113d43
---

# Retrieve all owners

> [accordion] Supported products

> [accordion] Required Scopes


## OpenAPI

````yaml specs/legacy/v3/crm-crm-owners-v3.json GET /crm/v3/owners
openapi: 3.0.1
info:
  title: Crm Owners
  description: >-
    HubSpot uses **owners** to assign CRM objects to specific people in your
    organization. The endpoints described here are used to get a list of the
    owners that are available for an account. To assign an owner to an object,
    set the hubspot_owner_id property using the appropriate CRM object update or
    create a request.


    If teams are available for your HubSpot tier, these endpoints will also
    indicate which team(s) an owner can access, as well as which team is the
    owner's primary team.
  version: v3
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-api-use-case: >-
    Retrieve the owner IDs for all users in the account to later assign CRM
    records across the team.
  x-hubspot-related-documentation:
    - name: Owners Guide
      url: https://developers.hubspot.com/docs/guides/api/crm/owners
  x-hubspot-introduction: >-
    Each user in a HubSpot account is assigned an owner ID, which HubSpot uses
    to map the user to their assigned CRM records, activities, and more. Use the
    owners API to retrieve owner IDs and other related information for users in
    the account. To assign an owner to a CRM record, you can use the properties
    API to set the hubspot_owner_id property.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
paths:
  /crm/v3/owners:
    get:
      tags:
        - Basic
      operationId: get-/crm/v3/owners_/crm/v3/owners
      parameters:
        - name: after
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: archived
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: boolean
            default: false
        - name: email
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
            default: 100
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CollectionResponsePublicOwnerForwardPaging
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - automation
        - oauth2:
            - crm.objects.owners.read
        - oauth2:
            - crm.pipelines.approval.read
        - oauth2:
            - crm.pipelines.governance.write
components:
  schemas:
    CollectionResponsePublicOwnerForwardPaging:
      required:
        - results
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/ForwardPaging'
        results:
          type: array
          items:
            $ref: '#/components/schemas/PublicOwner'
    ForwardPaging:
      type: object
      properties:
        next:
          $ref: '#/components/schemas/NextPage'
      description: >-
        Paging information for forward-only pagination. Contains the next page
        reference when more results are available; omitted or empty on the last
        page.
    PublicOwner:
      required:
        - archived
        - createdAt
        - id
        - type
        - updatedAt
      type: object
      properties:
        archived:
          type: boolean
          description: Indicates whether the owner is archived.
        createdAt:
          type: string
          description: The date and time when the owner was created.
          format: date-time
        email:
          type: string
          description: The email address of the owner.
        firstName:
          type: string
          description: The first name of the owner.
        id:
          type: string
          description: The unique identifier of the owner.
        lastName:
          type: string
          description: The last name of the owner.
        teams:
          type: array
          items:
            $ref: '#/components/schemas/PublicTeam'
        type:
          type: string
          description: The type of the owner, which can be either PERSON or QUEUE.
          enum:
            - PERSON
            - QUEUE
        updatedAt:
          type: string
          description: The date and time when the owner was last updated.
          format: date-time
        userId:
          type: integer
          description: The user ID of the owner.
          format: int32
        userIdIncludingInactive:
          type: integer
          description: The user ID of the owner, including inactive users.
          format: int32
      example:
        archived: false
        createdAt: '2019-10-30T03:30:17.883Z'
        email: jsmith@example.com
        firstName: John
        id: '6166860'
        lastName: Smith
        teams:
          - id: '178588'
            name: West Coast Sales
            primary: true
          - id: '178590'
            name: California Sales
            primary: false
        updatedAt: '2019-12-07T16:50:06.678Z'
        userId: 1296619
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    NextPage:
      required:
        - after
      type: object
      properties:
        after:
          type: string
          description: A paging cursor token for retrieving subsequent pages.
        link:
          type: string
          description: A URL that can be used to retrieve the next page results.
      description: >-
        Specifies the paging information needed to retrieve the next set of
        results in a paginated API response
    PublicTeam:
      required:
        - id
        - name
        - primary
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        primary:
          type: boolean
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            automation: ''
            crm.objects.owners.read: ''
            crm.pipelines.approval.read: ''
            crm.pipelines.governance.write: ''

````